
GLOBAL_COBJS  = global.o

ifdef WIN32APP 
GLOBAL_COBJS += winio.o
endif

GLOBAL_OBJ   = $(addprefix $(BIN_OBJ_DIR)/,$(GLOBAL_COBJS)) 

GLOBAL_LIB = $(OBJLIB_DIR)/libglobal.a
global: $(GLOBAL_LIB)

ifdef DLL
$(GLOBAL_LIB): libglobal.dll

libglobal.dll: $(GLOBAL_OBJ)
	@echo Creating DLL $@...
	$(CC) -mwindows -shared -o $@ -Wl,--out-implib=$(OBJLIB_DIR)/libglobal.a $^

else
#ifdef SO
$(GLOBAL_LIB): libglobal.so

libglobal.so: $(BIN_OBJ_DIR)/global.o
	@echo Creating Shared Library $@...
	$(CC) $(FLAGS) -shared -o $@ $^
#	@echo Archiving $(GLOBAL_LIB)...
#	$(AR) rcs $(GLOBAL_LIB) $^

#else
#$(GLOBAL_LIB): $(BIN_OBJ_DIR)/global.o
#	@echo Archiving $@...
#	$(AR) rcs $@ $^
#endif
endif

