
#include "port.h"
#include "dynamic.h"
#include <setjmp.h>
#include "ifsim.h"
#include "devdefs.h"
#include "cpstd.h"

char *errRtn;
char *errMsg;

double CONSTroot2;
double CONSTvt0;
double CONSTKoverQ;
double CONSTe;

IFfrontEnd *SPfrontEnd = NULL;
IFsimulator *ft_sim = NULL;
struct circ *ft_curckt = NULL;  // The default active circuit.

SPICEdev **DEVices;
int DEVmaxnum;

SPICEanalysis **analInfo;
int ANALmaxnum;

char *Lib_Path;
char *Help_Path;

// (Virtual) Machine architecture parameters
int ARCHme;
int ARCHsize;

#ifdef XSPICE
#include "evtudn.h" // Use defined nodes

Evt_Udn_Info_t  **g_evt_udn_info = NULL;
int g_evt_num_udn_types = 0;
int *DEVicesfl = NULL;
void *xspicelib = NULL;
int xspice_loaded = 0;
#endif
