
#ifdef __MINGW32__
#include <windows.h>
#define DLOPEN(name,param) LoadLibrary(name)
#define DLSYM(handle,param) GetProcAddress(handle, param);
#define PREFIX ""
#define SUFFIX ".dll"
#endif
#ifdef DJGPP
#include "dlfcn.h"
#define DLOPEN(name,param) dlopen(name,param)
#define DLSYM(handle,param) dlsym(handle, param);
#define PREFIX "_"
#endif
#ifdef linux
#include "dlfcn.h"
#define DLOPEN(name,param) dlopen(name,param)
#define DLSYM(handle,param) dlsym(handle, param);
#define PREFIX ""
#define SUFFIX ".so"
#endif
