
CP_COBJS = alias.o backq.o complete.o cshpar.o front.o glob.o \
           history.o lexical.o modify.o output.o quote.o spawn.o \
           std.o unixcom.o variable.o var2.o wlist.o numparse.o

CP_SRC_DIR      = src/lib/cp
CP_OBJ_DIR      = $(OBJS_DIR)/cp

CP_OBJ          = $(addprefix $(CP_OBJ_DIR)/,$(CP_COBJS))
CP_LIBRARY      = cp
CP_LIB          = $(OBJLIB_DIR)/lib$(CP_LIBRARY).a

cp: $(CP_LIB)

$(CP_LIB): $(CP_OBJ)
	@echo Archiving $@...
	$(AR) rcs $@ $^
   
$(CP_OBJ_DIR)/%.o: $(CP_SRC_DIR)/%.c
	@echo Compiling $<...
	$(CC) $(FLAGS) $(INCLUDE) -c $< -o $@

cp_clean:
	@echo Deleting cp library...
	$(RM) $(CP_LIB)
	$(RM) -r $(CP_OBJ)

