
FTE_COBJS	= agraf.o arg.o aspice.o breakp.o circuits.o clip.o cmath1.o \
              cmath2.o cmath3.o cmath4.o compose.o cpitf.o debugcom.o \
              define.o device.o diff.o display.o doplot.o dotcards.o \
              error.o evaluate.o fourier.o graf.o graphdb.o grid.o inp.o \
              inpcom.o interp.o linear.o mfb.o misccoms.o miscvars.o \
              nutctab.o nutinp.o nutmegif.o options.o outitf.o \
              parse.o plot5.o plotcurv.o points.o postcoms.o postsc.o \
              rawfile.o resource.o runcoms.o shyu.o signal.o spcmdtab.o \
              spiceif.o subckt.o types.o vectors.o where.o x10.o x11.o \
              gens.o newcoms.o dimens.o xgraph.o runcoms2.o breakp2.o \
              com_dl.o

FTE_SRC_DIR     = src/lib/fte
FTE_OBJ_DIR     = $(OBJS_DIR)/fte

FTE_OBJ         = $(addprefix $(FTE_OBJ_DIR)/,$(FTE_COBJS))
FTE_LIBRARY     = fte
FTE_LIB         = $(OBJLIB_DIR)/lib$(FTE_LIBRARY).a

fte: $(FTE_LIB)

#ifdef DYNAMIC
#$(FTE_LIB): lib$(FTE_LIBRARY).dll

$(FTE_LIB): $(FTE_OBJ)
	@echo Archiving $@...
	$(AR) rcs $@ $^
   
$(FTE_OBJ_DIR)/%.o: $(FTE_SRC_DIR)/%.c
	@echo Compiling $<...
	$(CC) $(FLAGS) $(DEFS) $(INCLUDE) -c $< -o $@

fte_clean:
	@echo Deleting fte library...
	$(RM) $(FTE_LIB)
	$(RM) -r $(FTE_OBJ)

