/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
Author: 1988 Jeffrey M. Hsu
**********/

/*
	WIN drivers.
*/

#include "spice.h"

#ifdef HAS_WIN

#  include "ftegraph.h"
#  include "ftedbgra.h"
#  include "ftedev.h"
#  include "fteinput.h"
#  include "cpdefs.h"
#  include "ftedefs.h"

EXPORT WIN_Init()
{
	return (0);
}

/* NewViewport is responsible for filling in graph->viewport */
EXPORT WIN_NewViewport(GRAPH *graph)
{
	return (0);
}

/* This routine closes the X connection.
	It is not to be called for finishing a graph. */
EXPORT WIN_Close()
{
}

EXPORT WIN_DrawLine(int x1, int y1, int x2, int y2)
{
}

EXPORT WIN_Arc(int x0, int y0, int radius, double theta1, double theta2)
{
}

/* note: x and y are the LOWER left corner of text */
EXPORT WIN_Text(char *text, int x, int y)
{
}

EXPORT WIN_DefineColor(int colorid, double red, double green, double blue)
{
	return(0);
}

EXPORT WIN_DefineLinestyle(int linestyleid, int mask)
{
}

EXPORT WIN_SetLinestyle(int linestyleid)
{
}

EXPORT WIN_SetColor(int colorid)
{
}

EXPORT WIN_Update()
{
}

EXPORT WIN_Clear()
{
}

EXPORT WIN_Input()
{
}

#else /* not HAS_WIN */
int win_dummy_symbol;
/* otherwise, some linkers get upset */
#endif /* HAS_WIN */
