/**********
Copyright 1990 Regents of the University of California.  All rights reserved.
**********/

#include "spice.h"

#ifndef HAS_DUP2
#include <fcntl.h>

EXPORT int 
dup2(int oldd, int newd)
{
#ifdef HAS_FCNTL
	close(newd);
#ifdef F_DUPFD
	(void) fcntl(oldd, F_DUPFD, newd);
#endif
#endif
	return 0;
}
#else
int Dummy_Symbol;
#endif
