
NI_COBJS = niaciter.o nicomcof.o niconv.o nidest.o niditer.o niinit.o \
           niinteg.o niiter.o niniter.o nipred.o nipzmeth.o nireinit.o \
           nisenre.o

NI_SRC_DIR      = src/lib/ni
NI_OBJ_DIR      = $(OBJS_DIR)/ni

NI_OBJ          = $(addprefix $(NI_OBJ_DIR)/,$(NI_COBJS))
NI_LIBRARY      = ni
NI_LIB          = $(OBJLIB_DIR)/lib$(NI_LIBRARY).a

ni: $(NI_LIB)

$(NI_LIB): $(NI_OBJ)
	@echo Archiving $@...
	$(AR) rcs $@ $^
   
$(NI_OBJ_DIR)/%.o: $(NI_SRC_DIR)/%.c
	@echo Compiling $<...
	$(CC) $(FLAGS) $(INCLUDE) -c $< -o $@

ni_clean:
	@echo Deleting ni library...
	$(RM) $(NI_LIB)
	$(RM) -r $(NI_OBJ)

