
HLP_COBJS = help.o provide.o readhelp.o textdisp.o x11disp.o xdisplay.o

HLP_SRC_DIR     = src/lib/hlp
HLP_OBJ_DIR     = $(OBJS_DIR)/hlp

HLP_OBJ         = $(addprefix $(HLP_OBJ_DIR)/,$(HLP_COBJS))
HLP_LIBRARY     = hlp
HLP_LIB         = $(OBJLIB_DIR)/lib$(HLP_LIBRARY).a

hlp: $(HLP_LIB)

$(HLP_LIB): $(HLP_OBJ)
	@echo Archiving $@...
	$(AR) rcs $@ $^

$(HLP_OBJ_DIR)/%.o: $(HLP_SRC_DIR)/%.c
	@echo Compiling $<...
	$(CC) $(FLAGS) $(INCLUDE) -c $< -o $@

hlp_clean:
	@echo Deleting hlp library...
	$(RM) $(HLP_LIB)
	$(RM) -r $(HLP_OBJ)

