
CFILES		= mfb3d.c mfbbasic.c mfbcaps.c mfbclip.c mfbdec.c mfbgnc.c \
		  mfbio.c mfbtext.c paths.c vmsio.c 

COBJS		= mfb3d.o mfbbasic.o mfbcaps.o mfbclip.o mfbdec.o mfbgnc.o \
		  mfbio.o mfbtext.o paths.o vmsio.o 

#AR              = @ar
#CC              = @gcc
#FLAGS           = -g -Werror

SRC             = $(addprefix lib/mfb/,$(CFILES))
OBJ             = $(addprefix obj/mfb/,$(COBJS))
INCLUDE         = -Isrc/include

SRC_DIR         = src/lib/mfb
OBJ_DIR         = obj/mfb
OBJLIB_DIR      = objlib
LIBRARY         = mfb
LIB_TARGET      = $(OBJLIB_DIR)/$(LIBRARY).a

$(LIB_TARGET): $(OBJ)
	@echo Archiving $@...
	$(AR) rcs $(LIB_TARGET) $(OBJ)
$(OBJ_DIR)/%.o: $(SRC_DIR)/%.c
	@echo Compiling $<...
	$(CC) $(FLAGS) $(INCLUDE) -c $< -o $@

clean:
	@echo Deleting mfb library...
	@del objlib\mfb.a
	@del obj\mfb\*.o

