
// ---------- Dialog ----------

// Main dialog
extern int zoom_in(int msg, DIALOG *d, int c);
extern int zoom_out(int msg, DIALOG *d, int c);
extern int zoom_area(int msg, DIALOG *d, int c);
extern int get_cursor_pos(int msg, DIALOG *d, int c);
extern int select_plot(int msg, DIALOG *d, int c);
extern int screen_shot();
extern int cancel();

// Trace dialog
extern int add_trace_ok();
extern int remove_trace_ok();
extern int d_my_add_list_proc(int msg, DIALOG *d, int c);
extern int d_my_rem_list_proc(int msg, DIALOG *d, int c);
extern char *add_trace_list(int index, int *list_size);
extern char *remove_trace_list(int index, int *list_size);

// X Axis dialog
int x_axis_proc(int msg, DIALOG *d, int c);
extern int x_axis_set_ok();

// Y Axis dialog
int y_axis_proc(int msg, DIALOG *d, int c);
extern int y_axis_set_ok();

// Grid dialog
extern int grid_set_ok();


// ---------- Menu ----------

// File menu
extern int load_rawfile();
extern int set_video_mode();
extern int file_exit();

// Trace menu
extern int add_trace();
extern int remove_trace();
extern int option();

// Plot menu
extern int x_axis();
extern int y_axis();
extern int grid();
extern int add_plot();
extern int remove_plot();
extern int mark_points();
extern int ac_analysis();
extern int dc_analysis();
extern int tran_analysis();

// Zoom menu
extern int zoom_normal();
extern int zoom_in_en();
extern int zoom_out_en();
extern int zoom_area_en();

// Cursor menu
extern int cursor_enable();

// Help menu
extern int about();


extern void zoom_init(int dlgnum);
extern void free_tracelist(wordlist **wlist);
extern void select_plot_lpress();
extern wordlist *vec2wl_copy(struct dvec *vecs);
extern void redraw();
